#version unofficial MegaPOV 0.7;

//Prism Dimensions
#ifndef(Prism_Points)
#declare Prism_Points = 8;
#end
#ifndef(Prism_Lower)
#declare Prism_Lower = -1;
#end
#ifndef(Prism_Upper)
#declare Prism_Upper = 1;
#end
#ifndef(Prism_Point_1)
#declare Prism_Point_1 = <0,-2>;
#end
#ifndef(Prism_Point_2)
#declare Prism_Point_2 = <2,0>;
#end
#ifndef(Prism_Point_3)
#declare Prism_Point_3 = <1,1>;
#end
#ifndef(Prism_Point_4)
#declare Prism_Point_4 = <2,2>;
#end
#ifndef(Prism_Point_5)
#declare Prism_Point_5 = <-2,2>;
#end
#ifndef(Prism_Point_6)
#declare Prism_Point_6 = <-1,1>;
#end
#ifndef(Prism_Point_7)
#declare Prism_Point_7 =<-2,0>;
#end
#ifndef(Prism_Point_8)
#declare Prism_Point_8 =<0,-2>;
#end
#ifndef(Prism_Color)

//Prism Declares
#declare Prism_Color = Brown;
#end
#ifndef(Prism_Translate)
#declare Prism_Translate = <0,0,0>;
#end
#ifndef(Prism_Texture)
#declare Prism_Texture = 
texture {DMFWood6}
#end
#ifndef(Prism_Rotate_X)
#declare Prism_Rotate_X=0
#end
#ifndef(Prism_Rotate_Y)
#declare Prism_Rotate_Y=0
#end
#ifndef(Prism_Rotate_Z)
#declare Prism_Rotate_Z=0
#end
#ifndef(Prism_Scale_X)
#declare Prism_Scale_X=1;
#end
#ifndef(Prism_Scale_Y)
#declare Prism_Scale_Y=1;
#end
#ifndef(Prism_Scale_Z)
#declare Prism_Scale_Z=1;
#end
#ifndef(Prism_Scale)
#declare Prism_Scale = 1; 
#end

//Render Prism
#if(View=5)
prism {
Prism_Lower,
Prism_Upper,
Prism_Points
#switch(Prism_Points)
#case(1)
Prism_Point_1,
#break
#case(2)
Prism_Point_1,
Prism_Point_2
#break
#case(3)
Prism_Point_1,
Prism_Point_2,
Prism_Point_3
#break
#case(4)
Prism_Point_1,
Prism_Point_2,
Prism_Point_3,
Prism_Point_4
#break
#case(5)
Prism_Point_1,
Prism_Point_2,
Prism_Point_3,
Prism_Point_4,
Prism_Point_5
#break
#case(6)
Prism_Point_1,
Prism_Point_2,
Prism_Point_3,
Prism_Point_4,
Prism_Point_5,
Prism_Point_6
#break
#case(7)
Prism_Point_1,
Prism_Point_2,
Prism_Point_3,
Prism_Point_4,
Prism_Point_5,
Prism_Point_6,
Prism_Point_7
#break
#case(8)
Prism_Point_1,
Prism_Point_2,
Prism_Point_3,
Prism_Point_4,
Prism_Point_5,
Prism_Point_6,
Prism_Point_7,
Prism_Point_8
#end
texture {Prism_Texture}
scale <Prism_Scale,Prism_Scale,Prism_Scale>
scale <Prism_Scale_X,1,1>
scale <1,Prism_Scale_Y,1>
scale <1,1,Prism_Scale_Z>
rotate x*Prism_Rotate_X
rotate y*Prism_Rotate_Y
rotate z*Prism_Rotate_Z
translate Prism_Translate}

//Wireframe Prism
#else
#declare Prism_Shape = 
sphere_sweep {
linear_sphere_sweep
Prism_Points,
#switch(Prism_Points)
#case(1)
Prism_Point_1,.03
#break
#case(2)
Prism_Point_1,.03
Prism_Point_2.03
#break
#case(3)
Prism_Point_1,.03
Prism_Point_2,.03
Prism_Point_3,.03
#break
#case(4)
Prism_Point_1,.03
Prism_Point_2,.03
Prism_Point_3,.03
Prism_Point_4,.03
#break
#case(5)
Prism_Point_1,.03
Prism_Point_2,.03
Prism_Point_3,.03
Prism_Point_4,.03
Prism_Point_5.03
#break
#case(6)
Prism_Point_1,.03
Prism_Point_2,.03
Prism_Point_3,.03
Prism_Point_4,.03
Prism_Point_5,.03
Prism_Point_6,.03
#break
#case(7)
Prism_Point_1,.03
Prism_Point_2,.03
Prism_Point_3,.03
Prism_Point_4,.03
Prism_Point_5,.03
Prism_Point_6,.03
Prism_Point_7,.03
#break
#case(8)
Prism_Point_1,.03
Prism_Point_2,.03
Prism_Point_3,.03
Prism_Point_4,.03
Prism_Point_5,.03
Prism_Point_6,.03
Prism_Point_7,.03
Prism_Point_8,.03
#end
rotate x*90}
union {
object {Prism_Shape}
object {Prism_Shape translate y*Prism_Lower}
object {Prism_Shape translate y*Prism_Upper}
pigment {Prism_Color}
finish {Luminous}
no_shadow
scale <Prism_Scale,Prism_Scale,Prism_Scale>
scale <Prism_Scale_X,1,1>
scale <1,Prism_Scale_Y,1>
scale <1,1,Prism_Scale_Z>
rotate x*Prism_Rotate_X
rotate y*Prism_Rotate_Y
rotate z*Prism_Rotate_Z
translate Prism_Translate}
#end



